# sasdata.dataloader.readers.csv_reader module

CSV-specific multi-column ASCII data reader

class sasdata.dataloader.readers.csv_reader.Reader

  Bases: `Reader`

  Class to load CSV files (2, 3 or 4 columns) built off the ASCII reader.

  All reading is done by the ASCIIReader. The writer calls the ASCII writer with a different separator.

  ext = ['.csv']
  min_data_pts = 5
  type = ['CSV files (*.csv)|*.csv']
  type_name = 'CSV'
  write(filename, dataset, sep=', ')

    Output data csv format using the ASCII reader

    Parameters:

      - filename – Full file name and path where the file will be saved

      - dataset – Data1D object that will be saved

      - sep – Separator between data items, default is a comma followed by a single space